%define upstream_name    ldap
%define upstream_version 0.49

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl modules for ldap
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::ASN1) >= 0.70.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(XML::SAX::Writer)
BuildRequires: perl(Authen::SASL)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(URI::ldap)
BuildRequires: openldap-servers
BuildRequires: perl-devel >= 5.8.0
BuildArch:  noarch

Requires:   perl(Authen::SASL)  >= 2.0.0
Requires:   perl(Convert::ASN1) >= 0.70.0
Requires:   perl(XML::Parser)
%description
The perl-ldap distribution is a collection of perl modules
which provide an object-oriented interface to LDAP servers.

%prep
%setup -q -n %{name}-%{upstream_version}

# perl path
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"
chmod 644 contrib/*

cat > test.cfg << EOF
\$SERVER_EXE = "%{_sbindir}/slapd";
\$SERVER_TYPE = "openldap2+ssl+ipc+sasl";
\$SLAPD_DB = "bdb";
\$HOST = "127.0.0.1";
\$SCHEMA_DIR = "%{_datadir}/openldap/schema";
\$EXTERNAL_TESTS = 0;
1;
EOF

%build
find -name \*.pm | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc CREDITS Changes INSTALL MYMETA.yml README SIGNATURE TODO
%{perl_vendorlib}/LWP
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/Net
%{_mandir}/*/*


%changelog

* Fri Jan 25 2013 sander85 <sander85> 0.490.0-4.mga3
+ Revision: 392241
- Add missing buildrequires

* Sun Jan 13 2013 umeabot <umeabot> 0.490.0-3.mga3
+ Revision: 375466
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 neoclust <neoclust> 0.490.0-2.mga3
+ Revision: 323440
- Bump release with fixed buildrequires

* Mon Oct 15 2012 jquelin <jquelin> 0.490.0-1.mga3
+ Revision: 306563
- update to 0.49
- update to 0.49

* Fri Sep 28 2012 jquelin <jquelin> 0.480.0-1.mga3
+ Revision: 298993
- update to 0.48

* Sat Jun 11 2011 spuhler <spuhler> 0.400.100-4.mga3
+ Revision: 104004
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.400.100-3.mga1
+ Revision: 32753
- rebuild
- mageia rebuild

* Thu Jan 20 2011 erwan <erwan> 0.400.100-2.mga1
+ Revision: 27522
- Rebuild

* Sun Jan 09 2011 jquelin <jquelin> 0.400.100-1.mga1
+ Revision: 3546
- imported package perl-ldap

